Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Interface Proxy

All Known Subinterfaces:
  LRSProxy, ProxyBean, ProxyCalendar, ProxyCollection, ProxyDate, ProxyMap

All Known Implementing Classes:
  AbstractLRSProxyCollection, AbstractLRSProxyMap, DelayedArrayListProxy, DelayedHashSetProxy, DelayedLinkedHashSetProxy, DelayedLinkedListProxy, DelayedPriorityQueueProxy, DelayedTreeSetProxy, DelayedVectorProxy, LRSProxyCollection, LRSProxyMap

    public interface Proxy

Interface implemented by all proxy types to allow setting and nulling of their owning instance. All concrete proxy classes should be public and have publc no-args constructors so that tools that work via reflection on persistent instances can manipulate them.

Author:
  Abe White

Method Summary
`Object` | `copy(Object orig)` Return an unproxied copy of the given instance.
`ChangeTracker` | `getChangeTracker()` Return the change tracker for this proxy, or null if none.
`OpenJPAStateManager` | `getOwner()` Return the owning object.
`int` | `getOwnerField()` Return the owning field index.
`void` | `setOwner(OpenJPAStateManager sm, int field)` Reset the state of the proxy, and set the owning instance of the proxy and the name of the field it is assigned to.

Method Detail

### setOwner

    void setOwner(OpenJPAStateManager sm,
                  int field)

  Reset the state of the proxy, and set the owning instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.

### getOwner

    OpenJPAStateManager getOwner()

  Return the owning object.

### getOwnerField

    int getOwnerField()

  Return the owning field index.

### getChangeTracker

    ChangeTracker getChangeTracker()

  Return the change tracker for this proxy, or null if none.

### copy

    Object copy(Object orig)

  Return an unproxied copy of the given instance. This method is used by proxy managers to create backup values for use in rollback.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.